Subject: Failed: Installing Postgresql under Cygwin on win98se
From: Tom Lauren <[email-masked]>
To: [email-masked]
Date: Wed, 06 Mar 2002 21:10:17 +0100
Newsgroups: gmane.os.cygwin

Hi!

Don´t know if it´s right here but I wasn´t succesful at news.postgresql 
yet :( ...

Ok, main thing is: I downloaded&installed postgresql 7.2 (it seemed to 
be the new official package back then) recently and all of the stuff it 
needs.
ipc-daemon & works (it did nothing foolish so far).
Then I tried the initdb-script to initialize the db.
(at least this is what i´ve found to be done first after reading all of 
these howtos and readmes. Here I should point out that they either were
a)too old (referencing version 7.1.3 ?)
b)path structure different
c)saying different things about what to do )

So, this is what initdb offered me:
______________________________
$ initdb -D /usr/share/postgresql/data/
basename: not found
grep: not found
grep: not found
sed: not found
The program 'postgres' is needed by  but was not found in
the directory '/usr/bin'.  Check your installation.
______________________________

It seems to me that some bash commands don´t work, it would be 
interesting if it´s a normal behaviour or due to win98,
or is it a script error?

Or - and i hope that - I just did the wrong things so far
and it´s simple. Problem is, that I didn´t find anything explaining the 
postgresql cygwin-package separately and what to do then. And I´ve read 
somewhere that win98se is supposed to be supported...

Thanks in advance,

Tom

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/